import glob
from rsml2pp import rsml2pp
from pp2xml import pp2xml

rfiles = glob.glob("../Root_data/MCT2_time-series/Fixed_RSML/*.rsml")


# import data from rsml
pplants = {}

for fname in rfiles:
    basename = fname.split('/')[-1].split('.')[0]
    
    plant_code = '_'.join(basename.split('_')[2:4])
    fday = int(basename.split('_')[4][1:])
    
    pp = rsml2pp(fname)
    
    if plant_code not in pplants:
        pplants[plant_code]={fday:pp}
    else:
        pplants[plant_code][fday]=pp

    #basename = basename.split("\\")[1]
    print(basename)
    outfile = "../xml_tpoints/%s" % '_'.join(basename.split('_')[:5])
    xml = pp2xml(pp,outfile,"../xml/ConfigurationTemplate.xml")
 
