import glob
import xlsxwriter

# Create a workbook and add a worksheet.
workbook = xlsxwriter.Workbook('../N_results_combined.xlsx')
worksheet = workbook.add_worksheet()



directories = glob.glob("../output/*")

for i,fname in enumerate(directories):

    days=[]
    totals=[]
    rates=[]
    
    f=open("%s/tabled_output.tab" % fname,'r')
    lines=f.readlines()
    for line in lines:
        if line.split()[0]=='"plantNutrientUptake"':
            #print(line.split())
            days.append(float(line.split()[1]))
            
            totals.append(float(line.split()[2]))
            
            rates.append(float(line.split()[3]))
            
            #print(rate)
    
    xsl_str=[fname.split('/')[-1]]+totals+rates+days
    
    for j,cval in enumerate(xsl_str):
        worksheet.write(i,j,cval)
    
    f.close()


workbook.close()
