import glob
from rsml2pp import rsml2pp
from pp2xml import pp2xml

rfiles = glob.glob("../RootData/MediumCTxml/*.rsml")



# import data from rsml
pplants = {}

for fname in rfiles:
    basename = fname.split('/')[-1].split('.')[0]
    
    pp = rsml2pp(fname)
    
    print(basename)
    outfile = "../xml_static/%s" % '_'.join(basename.split('_')[:4])
    xml = pp2xml(pp,outfile,"../xml/ConfigurationTemplate.xml")
 
